import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;

import quadbase.ChartAPI.DBInfo;
import quadbase.chart.designer.QbChartDesigner;

public class CDWithDBInfo extends Applet {
	static final long serialVersionUID = 1; 
	public QbChartDesigner designer;
	String url = "jdbc:hsqldb:help/examples/DataSources/database/woodview";
	String driver = "org.hsqldb.jdbcDriver";
	String username = "sa";
	String password = "";
	String query = "SELECT * FROM Products";

	public static void main(java.lang.String[] args) {

		try {

			CDWithDBInfo doChart = new CDWithDBInfo();
			doChart.doChartDesignerWithDBInfoApplet(null);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void init()  {

		try {

			doChartDesignerWithDBInfoApplet(this);
			setLayout(new BorderLayout());
			Panel panel = new Panel();
			panel.setLayout(new BorderLayout());
			panel.add("Center", new Label("LOADING"));
			add("Center", panel);

		} catch (Exception ex) { ex.printStackTrace(); }

	}

	public void doChartDesignerWithDBInfoApplet(Object parent) throws Exception {
		// Connect to EspressManager
		QbChartDesigner.setServerAddress("127.0.0.1");
		QbChartDesigner.setServerPortNumber(22071);

		// these folders are located in the <InstallDir> directory. Change the paths to absolute paths, or paths relative to this application.
		String[] imagesPath = {"images", "backgroundImages"};
		
		// QbReportDesigner (component, Database Information, start from Select Chart wizard, Parameter Information, Images Path
		DBInfo dbInfo = new DBInfo(url, driver, username, password, query);
		designer = new QbChartDesigner(parent, dbInfo, null, true, imagesPath);

		designer.setVisible(true);

	}

}